DRM_GEM_HANDLE_DELET(9)

NAME
drm_gem_handle_delete - deletes the given file-private handle

SYNOPSIS

int drm_gem_handle_delete(struct drm_file * filp, u32 handle);

ARGUMENTS

filp
    drm file-private structure to use for the handle look up

handle
    userspace handle to delete

DESCRIPTION

Removes the GEM handle from the filp lookup table and if this is the last handle also cleans up linked resources like GEM names.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT